### Hierarchy

- unknown
  - DisputeClosedMessage

## Index

### Constructors

- constructor

### Methods

- clearDisputeResult
- clearSenderNodeAddress
- getDeferPublishPayout
- getDisputeResult
- getSenderNodeAddress
- getType
- getUid
- getUnsignedPayoutTxHex
- getUpdatedMultisigHex
- hasDisputeResult
- hasSenderNodeAddress
- serializeBinary
- setDeferPublishPayout
- setDisputeResult
- setSenderNodeAddress
- setType
- setUid
- setUnsignedPayoutTxHex
- setUpdatedMultisigHex
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new DisputeClosedMessage(): DisputeClosedMessage

- Inherited from jspb.Message.constructor

  #### Returns DisputeClosedMessage

## Methods

### clearDisputeResult

- clearDisputeResult(): DisputeClosedMessage

- - Defined in src/protobuf/pb_pb.d.ts:2216

  #### Returns DisputeClosedMessage

### clearSenderNodeAddress

- clearSenderNodeAddress(): DisputeClosedMessage

- - Defined in src/protobuf/pb_pb.d.ts:2221

  #### Returns DisputeClosedMessage

### getDeferPublishPayout

- getDeferPublishPayout(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:2232

  #### Returns boolean

### getDisputeResult

- getDisputeResult(): undefined | DisputeResult

- - Defined in src/protobuf/pb_pb.d.ts:2213

  #### Returns undefined | DisputeResult

### getSenderNodeAddress

- getSenderNodeAddress(): undefined | NodeAddress

- - Defined in src/protobuf/pb_pb.d.ts:2218

  #### Returns undefined | NodeAddress

### getType

- getType(): SupportType

- - Defined in src/protobuf/pb_pb.d.ts:2223

  #### Returns SupportType

### getUid

- getUid(): string

- - Defined in src/protobuf/pb_pb.d.ts:2210

  #### Returns string

### getUnsignedPayoutTxHex

- getUnsignedPayoutTxHex(): string

- - Defined in src/protobuf/pb_pb.d.ts:2229

  #### Returns string

### getUpdatedMultisigHex

- getUpdatedMultisigHex(): string

- - Defined in src/protobuf/pb_pb.d.ts:2226

  #### Returns string

### hasDisputeResult

- hasDisputeResult(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:2215

  #### Returns boolean

### hasSenderNodeAddress

- hasSenderNodeAddress(): boolean

- - Defined in src/protobuf/pb_pb.d.ts:2220

  #### Returns boolean

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/pb_pb.d.ts:2235

  #### Returns Uint8Array

### setDeferPublishPayout

- setDeferPublishPayout(value: boolean): DisputeClosedMessage

- - Defined in src/protobuf/pb_pb.d.ts:2233

  #### Parameters

  - ##### value: boolean

  #### Returns DisputeClosedMessage

### setDisputeResult

- setDisputeResult(value?: DisputeResult ): DisputeClosedMessage

- - Defined in src/protobuf/pb_pb.d.ts:2214

  #### Parameters

  - ##### Optional value: DisputeResult

  #### Returns DisputeClosedMessage

### setSenderNodeAddress

- setSenderNodeAddress(value?: NodeAddress ): DisputeClosedMessage

- - Defined in src/protobuf/pb_pb.d.ts:2219

  #### Parameters

  - ##### Optional value: NodeAddress

  #### Returns DisputeClosedMessage

### setType

- setType(value: SupportType ): DisputeClosedMessage

- - Defined in src/protobuf/pb_pb.d.ts:2224

  #### Parameters

  - ##### value: SupportType

  #### Returns DisputeClosedMessage

### setUid

- setUid(value: string): DisputeClosedMessage

- - Defined in src/protobuf/pb_pb.d.ts:2211

  #### Parameters

  - ##### value: string

  #### Returns DisputeClosedMessage

### setUnsignedPayoutTxHex

- setUnsignedPayoutTxHex(value: string): DisputeClosedMessage

- - Defined in src/protobuf/pb_pb.d.ts:2230

  #### Parameters

  - ##### value: string

  #### Returns DisputeClosedMessage

### setUpdatedMultisigHex

- setUpdatedMultisigHex(value: string): DisputeClosedMessage

- - Defined in src/protobuf/pb_pb.d.ts:2227

  #### Parameters

  - ##### value: string

  #### Returns DisputeClosedMessage

### toObject

- toObject(includeInstance?: boolean): DisputeClosedMessage . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:2236

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns DisputeClosedMessage . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): DisputeClosedMessage

- - Defined in src/protobuf/pb_pb.d.ts:2239

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns DisputeClosedMessage

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: DisputeClosedMessage, reader: BinaryReader): DisputeClosedMessage

- - Defined in src/protobuf/pb_pb.d.ts:2240

  #### Parameters

  - ##### message: DisputeClosedMessage

  - ##### reader: BinaryReader

  #### Returns DisputeClosedMessage

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: DisputeClosedMessage, writer: BinaryWriter): void

- - Defined in src/protobuf/pb_pb.d.ts:2238

  #### Parameters

  - ##### message: DisputeClosedMessage

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: DisputeClosedMessage ): DisputeClosedMessage . AsObject

- - Defined in src/protobuf/pb_pb.d.ts:2237

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: DisputeClosedMessage

  #### Returns DisputeClosedMessage . AsObject

Generated using TypeDoc